Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()>
<NavigationItem(False)>
<CreatableItem(False)>
<Persistent("Names")>
<Appearance("Names - Disable ID all time", AppearanceItemType.ViewItem, "1=1", TargetItems:="ID", Enabled:=False)>
Public Class Names
    Inherits XPLiteObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Key()> Property ID As Long
    Property Names As String
End Class